Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class Time

    java.lang.Object
      java.util.Date
          net.fortuna.ical4j.model.Iso8601
              net.fortuna.ical4j.model.Time

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<Date>

    public class Time

extends Iso8601

A type used to represent iCalendar time values.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Constructor Summary
`Time(Date time, TimeZone timezone)`
`Time(long time, TimeZone timezone)`
`Time(TimeZone timezone)` Default constructor.

Method Summary
`boolean` | `isUtc()`

Methods inherited from class net.fortuna.ical4j.model.Iso8601
`getFormat, setTime, toString`

Methods inherited from class java.util.Date
`after, before, clone, compareTo, equals, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTime, getTimezoneOffset, getYear, hashCode, parse, setDate, setHours, setMinutes, setMonth, setSeconds, setYear, toGMTString, toLocaleString, UTC`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Time

    public Time(TimeZone timezone)

  Default constructor.

### Time

    public Time(long time,
                TimeZone timezone)

Parameters:
  `time` -
  `utc` -

### Time

    public Time(Date time,
                TimeZone timezone)

Parameters:
  `time` -
  `utc` -

Method Detail

### isUtc

    public final boolean isUtc()

  Returns:
    Returns the utc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.